x11/libxklavier - The NetBSD Packages Collection

High-level API for the X Keyboard Extension (XKB)

libxklavier is a library providing high-level API for X Keyboard Extension
known as XKB.  This library is intended to support XFree86 and other
commercial X servers.  It is useful for creating XKB-related software
(layout indicators etc).

The current features are:
* Reading XKB configuration registry information (for XFree86).
* Configuring XKB.
* Application-defined callbacks for many XKB-related events.
* Support for per-window switching etc.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2 textproc/iso-codes textproc/libxml2 devel/glib2 textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibxklavier-5.4nb7.tgz
NetBSD 8.0earmv7hflibxklavier-5.4nb6.tgz
NetBSD 8.0earmv7hflibxklavier-5.4nb7.tgz
NetBSD 8.0i386libxklavier-5.4nb6.tgz
NetBSD 8.0i386libxklavier-5.4nb7.tgz
NetBSD 8.0powerpclibxklavier-5.4nb6.tgz
NetBSD 8.0powerpclibxklavier-5.4nb7.tgz
NetBSD 8.0powerpclibxklavier-5.4nb7.tgz
NetBSD 8.0powerpclibxklavier-5.4nb7.tgz
NetBSD 8.0x86_64libxklavier-5.4nb6.tgz
NetBSD 8.0x86_64libxklavier-5.4nb7.tgz
NetBSD 9.0aarch64libxklavier-5.4nb7.tgz
NetBSD 9.0aarch64libxklavier-5.4nb6.tgz
NetBSD 9.0aarch64libxklavier-5.4nb7.tgz
NetBSD 9.0alphalibxklavier-5.4nb7.tgz
NetBSD 9.0alphalibxklavier-5.4nb6.tgz
NetBSD 9.0alphalibxklavier-5.4nb7.tgz
NetBSD 9.0earmlibxklavier-5.4nb6.tgz
NetBSD 9.0earmlibxklavier-5.4nb7.tgz
NetBSD 9.0earmlibxklavier-5.4nb7.tgz
NetBSD 9.0earmv6hflibxklavier-5.4nb7.tgz
NetBSD 9.0earmv6hflibxklavier-5.4nb6.tgz
NetBSD 9.0earmv6hflibxklavier-5.4nb7.tgz
NetBSD 9.0earmv7hflibxklavier-5.4nb7.tgz
NetBSD 9.0earmv7hflibxklavier-5.4nb6.tgz
NetBSD 9.0earmv7hflibxklavier-5.4nb7.tgz
NetBSD 9.0earmv7hflibxklavier-5.4nb7.tgz
NetBSD 9.0i386libxklavier-5.4nb6.tgz
NetBSD 9.0i386libxklavier-5.4nb7.tgz
NetBSD 9.0i386libxklavier-5.4nb7.tgz
NetBSD 9.0m68klibxklavier-5.4nb5.tgz
NetBSD 9.0m68klibxklavier-5.4nb6.tgz
NetBSD 9.0m68klibxklavier-5.4nb7.tgz
NetBSD 9.0m68klibxklavier-5.4nb7.tgz
NetBSD 9.0mips64eblibxklavier-5.4nb7.tgz
NetBSD 9.0mips64eblibxklavier-5.4nb5.tgz
NetBSD 9.0mips64eblibxklavier-5.4nb6.tgz
NetBSD 9.0mips64eblibxklavier-5.4nb6.tgz
NetBSD 9.0mips64eblibxklavier-5.4nb7.tgz
NetBSD 9.0mipsellibxklavier-5.4nb7.tgz
NetBSD 9.0mipsellibxklavier-5.4nb6.tgz
NetBSD 9.0mipsellibxklavier-5.4nb6.tgz
NetBSD 9.0mipsellibxklavier-5.4nb7.tgz
NetBSD 9.0powerpclibxklavier-5.4nb7.tgz
NetBSD 9.0powerpclibxklavier-5.4nb6.tgz
NetBSD 9.0powerpclibxklavier-5.4nb7.tgz
NetBSD 9.0powerpclibxklavier-5.4nb7.tgz
NetBSD 9.0sh3ellibxklavier-5.4nb7.tgz
NetBSD 9.0sh3ellibxklavier-5.4nb5.tgz
NetBSD 9.0sh3ellibxklavier-5.4nb6.tgz
NetBSD 9.0sh3ellibxklavier-5.4nb6.tgz
NetBSD 9.0sh3ellibxklavier-5.4nb7.tgz
NetBSD 9.0sparc64libxklavier-5.4nb7.tgz
NetBSD 9.0sparc64libxklavier-5.4nb6.tgz
NetBSD 9.0sparc64libxklavier-5.4nb7.tgz
NetBSD 9.0sparclibxklavier-5.4nb7.tgz
NetBSD 9.0sparclibxklavier-5.4nb5.tgz
NetBSD 9.0sparclibxklavier-5.4nb6.tgz
NetBSD 9.0sparclibxklavier-5.4nb6.tgz
NetBSD 9.0sparclibxklavier-5.4nb7.tgz
NetBSD 9.0x86_64libxklavier-5.4nb7.tgz
NetBSD 9.0x86_64libxklavier-5.4nb7.tgz
NetBSD 9.0x86_64libxklavier-5.4nb6.tgz
NetBSD 9.0x86_64libxklavier-5.4nb7.tgz
NetBSD 9.0x86_64libxklavier-5.4nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.